description: >
    Implement this to pass additional parameters to the create dump. Each
    required parameter for the dump in the ibm domain should be added here as an
    enum.

enumerations:
    - name: CreateParameters
      description: >
          Additional parameters for creating the dump.
      values:
          - name: "VSPString"
            description: >
                The resource dump is collected from various host resources. The
                resource to collect the dump is indicated by using the resource
                selector. The resource selector string needs to be passed to
                host to generate a resource dump.
          - name: "Password"
            description: >
                The password for authenticating the resource dump request.
          - name: "ErrorLogId"
            description: >
                The id of the log associated with action which triggered the
                dump. The value should be a 32 bit unsigned integer.
          - name: "DumpType"
            description: >
                Type of the dump to be collected
          - name: "FailingUnitId"
            description: >
                A unique id of failing hardware unit which is causing the dump.
                The value should be a 32 bit unsigned integer.

    - name: DumpType
      description: >
          Type of the host dump to be collected.
      values:
          - name: "Hostboot"
            description: >
                Hostboot dump is collected during a boot failure during the
                hostboot booting phase.
          - name: "Hardware"
            description: >
                Hardware dump is collected during a system checkstop.
          - name: "System"
            description: >
                System Dump: A dump that contains certain hardware register data
                and host memory.
          - name: "Resource"
            description: >
                Resource Dump: A dump of host resources, created for various
                host components. The content may vary accordingly.
          - name: "SBE"
            description: >
                A dump collected from Self Boot Engine(SBE) on the processor
                when it encounters an error and become unresponsive.
          - name: "MemoryBufferSBE"
            description: >
                A dump collected from Self Boot Engine on the memory buffer when
                it encounters critical failures or unresponsive.
